<node-header-page page="Register"></node-header-page>
<mat-spinner style="margin-bottom: 300px;" class="container text-center" *ngIf="loading"></mat-spinner>
<div class="register pt-80 pb-80" *ngIf="loading">
    <div class="container">
        <div class="row">

            <!--<:mat-spinner *ngIf="loading"></mat-spinner>-->


            <div class="col-12">
                <h3 class="title text-capitalize mb-30 pb-25">Create an account</h3>
                <div class="log-in-form">
                    <form class="personal-information" [formGroup]="signUpForm">
                        <div class="alert alert-danger" *ngIf="errorMessage">{{ errorMessage }}</div>
                        <div class="order-asguest theme1 mb-3">
                            <span>Already have an account?</span>
                            <a class="text-muted hover-color" routerLink="/signin">Log in instead!</a>
                        </div>

                        <div class="form-group row">
                            <label for="email" class="col-md-3 col-form-label">Email</label>
                            <div class="col-md-6">
                                <input type="email" id="email" formControlName="email" class="form-control">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="Password" class="col-md-3 col-form-label">Password</label>
                            <div class="col-md-6">
                                <div class="input-group mb-2 mr-sm-2">
                                    <input type="password" class="form-control" formControlName="password" id="Password">
                                    <div class="input-group-prepend">
                                        <button type="button" class="input-group-text theme-btn--dark1 btn--md show-password">show</button>
                                    </div>
                                </div>
                            </div>
                        </div>



                        <div class="form-group row pb-3 text-center">
                            <div class="col-md-6 offset-md-3">
                                <div class="login-form-links">
                                    <div class="sign-btn">
                                        <button class="btn theme-btn--dark1 btn--md" [disabled]="signUpForm.invalid" (click)="onSubmit()">Sign up</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
